﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace InstantWatch {
	/// <summary>
	/// This class makes testing the UI offline easy by using static data located within the solution.
	/// </summary>
	public class LocalDataProxy : IProxy{
		#region IProxy Members

		public IEnumerable<QueueItem> GetUserQueue(int count) {
			return new List<QueueItem>() { 
				Qi("Ghostbusters", "1", "Movie about ghosts"),
				Qi("Avatar", "2", "Movie about avatars"),
				Qi("Braveheart", "3", "Movie about a man with a brave heart"),
				Qi("Braveheart", "3", "Movie about a man with a brave heart"),
				Qi("Braveheart", "3", "Movie about a man with a brave heart"),
				Qi("Braveheart", "3", "Movie about a man with a brave heart"),
				Qi("Braveheart", "3", "Movie about a man with a brave heart"),
				Qi("Braveheart", "3", "Movie about a man with a brave heart"),
				Qi("Braveheart", "3", "Movie about a man with a brave heart"),
				Qi("Braveheart", "3", "Movie about a man with a brave heart"),

			};
		}

		public void RequestAuthorization() {
			
		}

		#endregion

		private QueueItem Qi(string name, string id, string synopSource){
			return new QueueItem() { 
				Name = name, 
				Id=id, 
				SynopsisSource = synopSource, 
				BoxArtSource=@"..\..\boxArt\tempBoxArt.jpg"
			};
		}
	}
}
